package mw

import (
	"github.com/gin-gonic/gin"
)

// 修改传过来的头部字段
func ChangeHeader(c *gin.Context) {
	appvserison := c.GetHeader("AppVersionName")
	if appvserison == "" {
		appvserison = c.GetHeader("app_version_name")
	}
	if appvserison != "" {
		c.Request.Header.Add("app_version_name", appvserison)
	}

	c.Next()
}
